
# Nemo_path:  Relative path to nemo installation folder containing the cfgs and arch dirs
# Nemo_cores: List of nºcores used for executing Nemo, ( 4 48 ) makes the script execute and 
# get Nemo traces with 4 and 48 cores. 2 different nºcores are needed to obtain scalability data. 

Nemo_path="../NEMO"
Nemo_cores=( 4 24 48 ) 

# Jobs_n_cores: nºcores used for executing other scripts. More than 4 is not optimal
# Jobs_scheduler: Available (slurm/lsf)
# Jobs_time: Max duration of the job in min
# Jobs_queue: Queue used

Jobs_n_cores=4
Jobs_scheduler="slurm"
Jobs_time="60"
Jobs_queue=debug

# Compilation_compile:  When false only compiles NEMO if arch file lacks the needed flags, when true always compiles NEMO.
# Compilation_ref:  Reference configuration
# Compilation_arch: Architecture used (without the -arch sufix and the .fcm)
# Compilation_name: Name of the new configutation
# Compilation_sub:  Add or remove subcomponents


Compilation_compile="false" 
Compilation_ref="ORCA2_ICE_PISCES" 
Compilation_arch="X64_MN4" 
Compilation_name="ORCA2_EXTRAE" 
Compilation_sub="OCE del_key 'key_si3 key_top'" 
    
# List of modules loaded 
# Required:
# - Perl interpreter
# - Fortran compiler (ifort, gfortran, pgfortran, ftn, …) 
# - Message Passing Interface (MPI) implementation (e.g. OpenMPI or MPICH).
# - Network Common Data Form (NetCDF) library with its underlying Hierarchical Data Form (HDF)
# - Extrae 
# - Paraver
# - Dimemas 4.2 -devel
# - Python3
# - gnuplot
# EXTRAE BASICANALYSIS gcc/7.2.0 intel/2017.4 impi/2018.4 netcdf/4.4.1.1 hdf5/1.8.19 DIMEMAS/5.4.2-devel

Modules="EXTRAE BASICANALYSIS gcc intel/2018.3 impi/2018.4 netcdf/4.4.1.1 hdf5/1.8.19 DIMEMAS/5.4.2-devel perl"
